%define	rname	mfcr2
%define	version	20030610
%define	release	1mdk

%define	major	_1
%define libname	%mklibname %{rname} %{major}

Summary:	A library for MFC/R2 signaling on E1 lines
Name:		%{libname}
Version:	%{version}
Release:	%{release}
URL:		http://www.asteriskpbx.com/
License:	GPL
Source0:	libr2-%{version}.tar.bz2
Group:		System/Libraries
BuildRequires:	zaptel-devel
BuildConflicts:	%{rname}-devel
BuildRoot:	%{_tmppath}/%{rname}-%{version}-root

%description
A shared library for MFC/R2 signaling on E1 lines

This library is designed to support MFC/R2 signalling in the
ZapTel environment, but should be easily adaptable to other dumb
E1 cards that allow channelised CAS signaled operation.

It is intended that the library eventually support most national
variants of the MFC/R2 protocol. The application specifies the
national variant when opening a channel.

*****WARNING*****

Don't expect too much right now. This software is very much at the
alpha stage right now. It doesn't support most national variants,
proper protocol error recovery, and various bells and whistles [I 
guess, the whistling part must be OK, or the tone signalling
wouldn't work at all :-)]. It probably still has many bugs, since
it hasn't been polished and debugged very much right now.

*****On the brighter side*****

It can make and receive calls successfully when connected to a
Dialogic E1 card running the GlobalCall 2.0 package, in China and
Argentina modes.

Steve Underwood <steveu@coppice.org>
June 2002

%package	devel
Summary:	Development files for the %{rname} Library
Group:		Development/C
Obsoletes:	%{rname}-devel lib%{rname}-devel
Provides:	%{rname}-devel lib%{rname}-devel
Requires:	%{libname} = %{version}-%{release}

%description	devel
Development files for the %{rname} Library.

This package contains the static %{rname} library and its header
files.

%package -n	%{rname}-tools
Summary:	Various tools
Group:          System/Kernel and hardware

%description -n	%{rname}-tools
Various tools using the %{rname} Library

%prep

%setup -q -n libr2-%{version}

%build

%make CFLAGS="%{optflags} -fPIC"
%make CFLAGS="%{optflags} -fPIC" r2testcall
%make CFLAGS="%{optflags} -fPIC" r2testanswer

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}

install -m0755 r2testcall %{buildroot}%{_bindir}/
install -m0755 r2testanswer  %{buildroot}%{_bindir}/
install -m0755 libmfcr2.so.1.0 %{buildroot}%{_libdir}/
ln -snf libmfcr2.so.1.0 %{buildroot}%{_libdir}/libmfcr2.so.1
ln -snf libmfcr2.so.1.0 %{buildroot}%{_libdir}/libmfcr2.so
install -m0755 libmfcr2.a %{buildroot}/%{_libdir}/
install -m0644 libmfcr2.h %{buildroot}%{_includedir}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%files -n %{rname}-tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20030610-1mdk
- initial mandrake package
